%{?nodejs_find_provides_and_requires}

Name:       nodejs-chmodr
Version:    0.1.0
Release:    7%{?dist}
Summary:    Recursively change UNIX file permissions
License:    BSD
Group:      System Environment/Libraries
URL:        https://github.com/isaacs/chmodr
Source0:    http://registry.npmjs.org/chmodr/-/chmodr-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:  nodejs-devel

%description
%{summary}, like `chmod -R`.

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_sitelib}/chmodr
cp -pr chmodr.js package.json %{buildroot}%{nodejs_sitelib}/chmodr

%nodejs_symlink_deps

# disabled; TAP is not in the distro yet
#%%check
#%%tap test/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/chmodr
%doc README.md LICENSE

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.0-4
- restrict to compatible arches

* Wed Apr 17 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.0-3
- add macro for EPEL 6 dependency generation

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.0-2
- fix License tag

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.0-1
- initial package
